#Import the basics
from pytriqs.archive import *
from pytriqs.gf.local import *
from pytriqs.operators.util.hamiltonians import *
from pytriqs.operators.util.U_matrix import *

#Import the DFT classes
from pytriqs.applications.dft.sumk_dft import *

#Import the Solver class
from pytriqs.applications.impurity_solvers.cthyb import *

filename = 'NiO'

# Now initialize the DFT class
SK = SumkDFT(hdf_file = filename+'.h5',use_dft_blocks = True)

# Setup the basic structure of the CTQMC Solver
beta = 40.0
n_orb = SK.corr_shells[0]['dim']
spin_names = ['up','down']
orb_names = [i for i in range(0,n_orb)]
gf_struct = SK.gf_struct_solver[0]

#Initialize the Solver class:
S = Solver(beta=beta, gf_struct=gf_struct)

# Now let's check the chemical potential:
SK.put_Sigma([S.Sigma_iw])
chemical_potential = SK.calc_mu()

# calculate the local G and check the density again
Gloc = SK.extract_G_loc()[0]
print "Gloc density: ",Gloc.total_density()



